// Code scaffolded by goctl. Safe to edit.
// goctl 1.10.1

package placement_topic

import (
	"net/http"

	"haixun-backend/internal/logic/placement_topic"
	"haixun-backend/internal/response"
	"haixun-backend/internal/svc"
)

func ListPlacementTopicsHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		l := placement_topic.NewListPlacementTopicsLogic(r.Context(), svcCtx)
		data, err := l.ListPlacementTopics()
		response.Write(r.Context(), w, data, err)
	}
}
